Creates a new item
Request Information
URI Parameters :
None.
Body Parameters :
db_info_field| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_info_id |
Foreign key to db_info (chapters) |
globally unique identifier |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_info_code |
Embedded entity "db_info" using ERP PK when adding/updating db_info_field |
string |
Optionally required : db_info_id ,db_info_code or node db_info must be provided |
| db_info |
Embedded entity "db_info" (chapter) when adding/updating db_info_field |
db_info |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_input_type_id |
Type of the fied (like Textbox,TextArea) |
globally unique identifier |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| db_input_type_code |
Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number |
string |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| name |
Name/Code of the info field.Field used for Embedded entity (store there your ERP PK) |
string |
Required Max length: 50 |
| title |
Title that will be shown on the UI of the info field |
string |
Required Max length: 50 |
| sequence |
Sorting field (0 first), to order them inside the chapter |
integer | |
| description |
Description of the field |
string |
Max length: 255 |
| is_mandatory |
Force user to fill it before saving |
boolean | |
| is_readonly |
Avoid user to edit the value using the UI |
boolean | |
| hide_in_view_if_empty |
Hide this field in view mode if no value |
boolean | |
| udf_name |
Name of udf column that links to info field (read-only) |
string | |
| visible_on_app |
Visible this field on app |
boolean | |
| archived | boolean |
Request Formats :
application/json, text/json
{
"id": "487890e7-c335-40fa-87de-2f27949a3572",
"db_info_id": "2304d88d-8fb6-423d-a72e-ecd393a4ce9d",
"db_info_code": "sample string 3",
"db_info": {
"id": "f47a450f-6f12-4160-b136-39658ca70b68",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "55463627-241c-4813-af3a-62c120c1f529",
"db_info_category_code": "sample string 6",
"parent_id": "dfe282df-2af7-4fb5-9f90-5207e2fe424a",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-07-06T21:32:48.7142011+00:00"
},
"db_input_type_id": "32d19142-bff0-473b-815e-236d3b1efa9b",
"db_input_type_code": "sample string 5",
"name": "sample string 6",
"title": "sample string 7",
"sequence": 8,
"description": "sample string 9",
"is_mandatory": true,
"is_readonly": true,
"hide_in_view_if_empty": true,
"udf_name": "sample string 13",
"visible_on_app": true,
"archived": true
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.